Bug 481310 - openldap utilities do not recognize -f option even if their usage messages claim they do
openldap utilities do not recognize -f option even if their usage messages cl...
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Zeleny
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-23 09:59 EST by Milos Malik
Modified: 2010-04-21 08:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-26 05:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to delete wrong help option (3.02 KB, patch)
2009-03-26 05:52 EDT, Jan Zeleny
no flags Details | Diff

  None (edit)
Description Milos Malik 2009-01-23 09:59:32 EST
Description of problem:
OpenLDAP utilities like ldapcompare, ldapexop, ldappasswd and ldapwhoami print usage messages which contain unsupported options.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
$ touch something.txt
$ ldapcompare 2>&1 | grep -- "-f"
  -f file    read operations from `file'
$ ldapcompare -f something.txt 2>&1 | head -n 2
ldapcompare: invalid option -- 'f'
ldapcompare: unrecognized option -f
$ ldapexop 2>&1 | grep -- "-f"
  -f file    read operations from `file'
$ ldapexop -f something.txt 2>&1 | head -n 2
ldapexop: invalid option -- 'f'
ldapexop: unrecognized option -f
$ ldappasswd --help 2>&1 | grep -- "-f"
  -f file    read operations from `file'
$ ldappasswd -f something.txt 2>&1 | head -n 2
ldappasswd: invalid option -- 'f'
ldappasswd: unrecognized option -f
$ ldapwhoami --help 2>&1 | grep -- "-f"
  -f file    read operations from `file'
$ ldapwhoami -f something.txt 2>&1 | head -n 2
ldapwhoami: invalid option -- 'f'
ldapwhoami: unrecognized option -f

Actual results:
Help/usage messages contain unsupported options.

Expected results:
Help/usage messages do not contain unsupported options.

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2009-03-19 03:37:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jan Zeleny 2009-03-26 05:52:47 EDT
Created attachment 336768 [details]
Patch to delete wrong help option
Comment 3 Jan Zeleny 2009-03-26 05:54:51 EDT
I've posted a patch to delete this unsupported option. Patch is also included in rawhide release, so I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.